XmbResetIC(3X11)

NAME
XmbResetIC, XwcResetIC - reset the state of an input context

SYNTAX
char * XmbResetIC(ic)
      XIC ic;

wchar_t * XwcResetIC(ic)
      XIC ic;

ARGUMENTS

ic  Specifies the input context.

DESCRIPTION
When is set to and reset an input context to its initial state; when is set to the current input context state is preserved. In both cases, any input pending on that context is deleted. The input method is required to clear the preedit area, if any, and update the status accordingly. Calling or does not change the focus.

The return value of is its current preedit string as a multibyte string. If there is any preedit text drawn or visible to the user, then these procedures must return a non-NULL string. If there is no visible preedit text, then it is input method implementation-dependent whether these procedures return a non-NULL string or NULL.

The client should free the returned string by calling

SEE ALSO
XCreateIC(3X11), XOpenIM(3X11), XSetICFocus(3X11), XSetICValues(3X11)
Xlib - C Language X Interface